summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2019-07-27 10:07:10 +0200
committerErich Eckner <git@eckner.net>2019-07-27 10:07:10 +0200
commit08cc68cf6cba0b6b52fef302266331d2d0c7dcc4 (patch)
treeb588a0afd0513e65ce213e681934dcbca1db179d
parent63c5c3ce2dafc097f7e6ec5157981eb5a656de15 (diff)
downloadhardlinkedBackups-08cc68cf6cba0b6b52fef302266331d2d0c7dcc4.tar.xz
backup: skip ping check - it fails on clogged connections and the rsync will fail anyways correctly afterwards ...
-rwxr-xr-xbackup.in14
1 files changed, 0 insertions, 14 deletions
diff --git a/backup.in b/backup.in
index cda64f8..e499f02 100755
--- a/backup.in
+++ b/backup.in
@@ -191,20 +191,6 @@ fi
echo $$ > "${pidFile}"
-if [ -n "${HoppIP}" ]; then
- if ! ping -c 1 -W 20 -${ipVer} "$(extract_ssh_host "${HoppIP}")" >/dev/null; then
- rm "${pidFile}"
- >&2 echo "cannot ping -c 1 -W 20 -${ipVer} $(extract_ssh_host "${HoppIP}")"
- exit 11
- fi
-elif [ -n "${QuellIP}" ]; then
- if ! ping -c 1 -W 20 -${ipVer} "$(extract_ssh_host "${QuellIP}")" >/dev/null; then
- rm "${pidFile}"
- >&2 echo "cannot ping -c 1 -W 20 -${ipVer} $(extract_ssh_host "${QuellIP}")"
- exit 11
- fi
-fi
-
if [ -n "${tunnelBefehl}" ]; then
${tunnelBefehl} &
backgroundPid=$!